<div id="ld" style="position:fixed; top:50%; left:50%"><img src="img/ld.gif"></div>			
<?php
	if(!session_id()) session_start();
	$ids = session_id();
	
	include "php_class/class_mysql.php";
	include "php_class/class_transaksi.php";
	include "php_class/class_grup.php";
	include "php_class/class_template.php";
	$dataTemplate = new DataTemplate;
	$datagrup = new DataGrup;
	$DataTransaksi = new DataTransaksi;

	$idGrup = $_GET['idgrup'];
	$idpendaftaran = $_GET['idpendaftaran'];

	$idMhs = $_POST['idMhs'];
	$NPM = $_POST['nn'];
	$NamaMhs = $_POST['nmmhs'];
	$program = $_POST['program'];
	$tahuntrx = $_POST['tahun'];
	$semester = $_POST['semester'];
	$tahun = date('y'); 
	$bulan = date('m'); 
	
	$jumlah = $DataTransaksi->get_last_trans('', $a, 'jumlah');
	if ($jumlah==0){
	$kodeMaster = $tahun.$bulan."0001";	
	}else{
		$terakhir = $jumlah + 1;
		$panjangkarakter = strlen($terakhir);
		for ($i = 1; $i <= 4- $panjangkarakter; $i++){
			$nol = $nol."0";
		}
		$kodeMaster = $tahun.$bulan.$nol.$terakhir;
	}
	$total = 0;
	$JumlahData = $datagrup->get_detil('',$a,'jumlah', $idGrup);
	for ($a=1;$a<=$JumlahData;$a++){
		$no = $datagrup->get_detil('id', $a, '', $idGrup);
		$id = $datagrup->get_detil('idTemplate',$a,'', $idGrup);
		$namaTrx = $datagrup->get_detil('NamaTRX',$a,'', $idGrup);
		$Biaya = $datagrup->get_detil('Biaya',$a,'', $idGrup);
		$idBendahara = $datagrup->get_detil('idBendahara', $a, '', $idGrup);
		$NamaBendahara = $datagrup->get_detil('NamaBendahara', $a, '', $idGrup);
		$BiayaReguler = $datagrup->get_detil('BiayaReguler', $a, '', $idGrup);
		$BiayaNonReguler = $datagrup->get_detil('BiayaNonReguler', $a, '', $idGrup);
			
			if ($program == '122') {
				$BiayaTrx = $BiayaReguler;	
			} else {
				$BiayaTrx = $BiayaNonReguler;
			}
			$total = $total + $BiayaTrx;
				
		
		$DataTransaksi->add_detil_transaksi($kodeMaster, date('d-m-Y'), $id, $namaTrx, $BiayaTrx, $idpendaftaran, $NamaMhs, $idBendahara, $NamaBendahara); 
	}
	
	$DataTransaksi->add_master_transaksi($kodeMaster, $idpendaftaran, $total, $idMhs, $program, $tahuntrx, $semester, $_SESSION['idOperator'], $idGrup);
	

	include "php_class/class_log_sistem.php";
	$DataLogSistem = new DataLogSistem;
	$idOperator = $_SESSION['idOperator'];
	$namaOp = $_SESSION["NamaOperator"];
	$keterangan = "Menambah transaksi pendaftaran dg kode : ".$kodeMaster." dg NPM : ".$NPM." oleh ".$namaOp."";
	$DataLogSistem->add_data_log_sistem($keterangan,$idOperator);

?>
<script>window.location='laporan-pendaftaran.php?id=<?php echo $idpendaftaran?>'</script>
